<script lang="ts">
  import Chip from "./components/icons/Chip.svelte";
</script>

<section class="panel">
  <h3>On your turn</h3>
  <p>Reveal the top card of the deck if there's no currently revealed card.</p>

  <p>
    Pay 1 <Chip /> to the center, and then pass the turn to the next player.
  </p>
  <p class="divider">~ or ~</p>
  <p>
    Take the revealed card, and any chips in the center, and then take another
    turn.
  </p>

  <h3>End of the game</h3>
  <p>
    The game ends immediately when a player takes a card and there are no more
    cards in the deck.
  </p>

  <h3>Scoring</h3>
  <p>Every <Chip /> is worth 1 point.</p>
  <p>Cards are worth their number value in <strong>negative</strong> points.</p>
  <p>
    However, for runs of cards (consecutive numbers) only the lowest value card
    in the run counts towards your score.
  </p>
</section>

<style>
  section {
    height: 100%;
    background-color: var(--gs6-background-paper);

    font-size: 85%;
    overflow-y: auto;
  }

  h3 {
    font-weight: 500;
  }

  .divider {
    text-align: center;
    font-weight: 500;
  }
</style>
